Front Doors - Get
获取具有指定订阅和资源组下指定 Front Door 名称的 Front Door。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/frontDoors/{frontDoorName}?api-version=2019-05-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
front
|
path | True |
string minLength: 5maxLength: 64 pattern: ^[a-zA-Z0-9]+([-a-zA-Z0-9]?[a-zA-Z0-9])*$ |
全局唯一的 Front Door 的名称。 |
|
resource
|
path | True |
string minLength: 1maxLength: 80 pattern: ^[a-zA-Z0-9_\-\(\)\.]*[^\.]$ |
Azure 订阅中的资源组的名称。 |
|
subscription
|
path | True |
string |
唯一标识 Azure 订阅Microsoft的订阅凭据。 订阅 ID 构成了每个服务调用的 URI 的一部分。 |
|
api-version
|
query | True |
string |
客户端 API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
还行。 请求已成功。 |
|
| Other Status Codes |
Front Door 错误响应,描述作失败的原因。 |
安全性
azure_auth
Azure Active Directory OAuth2 流
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
Get Front Door
示例请求
GET https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/frontDoors/frontDoor1?api-version=2019-05-01
示例响应
{
"id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/frontDoors/frontDoor1",
"name": "frontDoor1",
"type": "Microsoft.Network/frontDoor",
"location": "westus",
"tags": {
"tag1": "value1",
"tag2": "value2"
},
"properties": {
"routingRules": [
{
"id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/frontDoors/frontDoor1/routingRules/routingRule1",
"name": "routingRule1",
"properties": {
"frontendEndpoints": [
{
"id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/frontDoors/frontDoor1/frontendEndpoints/frontendEndpoint1"
},
{
"id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/frontDoors/frontDoor1/frontendEndpoints/default"
}
],
"acceptedProtocols": [
"Http"
],
"patternsToMatch": [
"/*"
],
"routeConfiguration": {
"@odata.type": "#Microsoft.Azure.FrontDoor.Models.FrontdoorForwardingConfiguration",
"customForwardingPath": "",
"forwardingProtocol": "MatchRequest",
"backendPool": {
"id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/frontDoors/frontDoor1/backendPools/backendPool1"
}
},
"enabledState": "Enabled"
}
}
],
"healthProbeSettings": [
{
"name": "healthProbeSettings1",
"properties": {
"path": "/",
"protocol": "Http",
"intervalInSeconds": 120,
"enabledState": "Enabled",
"healthProbeMethod": "HEAD"
}
}
],
"loadBalancingSettings": [
{
"name": "loadBalancingSettings1",
"properties": {
"sampleSize": 4,
"successfulSamplesRequired": 2
}
}
],
"backendPools": [
{
"id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/frontDoors/frontDoor1/backendPools/backendPool1",
"name": "backendPool1",
"properties": {
"backends": [
{
"address": "w3.contoso.com",
"httpPort": 80,
"httpsPort": 443,
"enabledState": "Enabled",
"weight": 1,
"priority": 2
},
{
"address": "contoso.com.website-us-west-2.othercloud.net",
"httpPort": 80,
"httpsPort": 443,
"enabledState": "Enabled",
"weight": 2,
"priority": 1
},
{
"address": "contoso1.azurewebsites.net",
"httpPort": 80,
"httpsPort": 443,
"enabledState": "Enabled",
"weight": 1,
"priority": 1
}
],
"loadBalancingSettings": {
"id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/frontDoors/frontDoor1/loadBalancingSettings/loadBalancingSettings1"
},
"healthProbeSettings": {
"id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/frontDoors/frontDoor1/healthProbeSettings/healthProbeSettings1"
}
}
}
],
"frontendEndpoints": [
{
"id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/frontDoors/frontDoor1/frontendEndpoints/frontendEndpoint1",
"name": "frontendEndpoint1",
"properties": {
"hostName": "www.contoso.com",
"sessionAffinityEnabledState": "Enabled",
"sessionAffinityTtlSeconds": 60,
"webApplicationFirewallPolicyLink": {
"id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/frontDoorWebApplicationFirewallPolicies/policy1"
}
}
},
{
"id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/frontDoors/frontDoor1/frontendEndpoints/default",
"name": "default",
"properties": {
"hostName": "frontDoor1.azurefd.net"
}
}
],
"backendPoolsSettings": {
"enforceCertificateNameCheck": "Enabled",
"sendRecvTimeoutSeconds": 60
},
"enabledState": "Enabled",
"resourceState": "Enabled",
"provisioningState": "Succeeded",
"cname": "frontDoor1.azurefd.net"
}
}
定义
| 名称 | 说明 |
|---|---|
| Backend |
frontDoor 负载均衡器的后端地址。 |
|
backend |
是否启用此后端的使用。 允许的值为“Enabled”或“Disabled” |
|
Backend |
后端池是可路由到的后端的集合。 |
|
Backend |
适用于所有后端池的设置。 |
|
Cache |
缓存类型路由的缓存设置。 若要禁用缓存,请不要提供 cacheConfiguration 对象。 |
|
Custom |
域的 Https 设置 |
|
Custom |
FrontendEndpoint 的自定义 Https 预配状态。 |
|
Custom |
预配子状态显示自定义 HTTPS 启用/禁用过程的进度。 |
|
Dynamic |
是否对缓存内容使用动态压缩 |
|
enforce |
是否对所有后端池的 HTTPS 请求强制实施证书名称检查。 对非 HTTPS 请求没有影响。 |
|
Error |
错误响应指示 Front Door 服务无法处理传入请求。 错误消息中提供了原因。 |
|
Forwarding |
描述转发路由。 |
|
Front |
Front Door 表示后端终结点的集合,用于将流量路由到规则,这些规则指定流量的发送方式。 |
|
Front |
定义 SSL 证书的源 |
|
Front |
定义用于安全连接到 frontendEndpoint 的证书的类型 |
|
Front |
Front Door 负载均衡器的操作状态。 允许的值为“Enabled”或“Disabled” |
|
Front |
将流量转发到后端时,此规则将使用协议。 |
|
Front |
配置用于探测在 backendPools 下定义的后端的 HTTP 方法。 |
|
Front |
要与此规则匹配的协议方案 |
|
Front |
在形成缓存密钥时处理 URL 查询词。 |
|
Front |
将流量重定向到的目标的协议 |
|
Front |
重定向流量时规则将使用的重定向类型。 |
|
Front |
Front Door 或 Front Door 子资源的资源状态。 |
|
Front |
定义用于安全传送的 TLS 扩展协议 |
|
Frontend |
用于路由的前端终结点。 |
|
Health |
是否允许针对在 backendPools 下定义的后端进行运行状况探测。 只有在单个启用的后端池中存在单个启用的后端时,才能禁用运行状况探测。 |
|
Health |
后端池的负载均衡设置 |
|
Load |
后端池的负载均衡设置 |
|
Minimum |
客户端建立与 Front Door 的 SSL 握手所需的最低 TLS 版本。 |
|
Redirect |
描述重定向路由。 |
|
Routing |
路由规则表示要处理的流量以及发送位置以及运行状况探测信息的规范。 |
|
routing |
是否启用此规则的使用。 允许的值为“Enabled”或“Disabled” |
|
Session |
是否允许在此主机上进行会话关联。 有效选项为“Enabled”或“Disabled” |
|
Sub |
对另一个子资源的引用。 |
| Vault |
包含 SSL 证书的 Key Vault |
|
Web |
为每个主机定义 Web 应用程序防火墙策略(如果适用) |
Backend
frontDoor 负载均衡器的后端地址。
| 名称 | 类型 | 说明 |
|---|---|---|
| address |
string |
后端的位置(IP 地址或 FQDN) |
| backendHostHeader |
string |
要用作发送到后端的主机标头的值。 如果为空或未指定,则默认为传入主机。 |
| enabledState |
是否启用此后端的使用。 允许的值为“Enabled”或“Disabled” |
|
| httpPort |
integer minimum: 1maximum: 65535 exclusiveMinimum: False exclusiveMaximum: False |
HTTP TCP 端口号。 必须介于 1 到 65535 之间。 |
| httpsPort |
integer minimum: 1maximum: 65535 exclusiveMinimum: False exclusiveMaximum: False |
HTTPS TCP 端口号。 必须介于 1 到 65535 之间。 |
| priority |
integer minimum: 1maximum: 5 |
用于负载均衡的优先级。 如果优先级较低的后端正常,则不会使用更高的优先级进行负载均衡。 |
| weight |
integer minimum: 1maximum: 1000 |
此终结点的权重用于负载均衡。 |
backendEnabledState
是否启用此后端的使用。 允许的值为“Enabled”或“Disabled”
| 值 | 说明 |
|---|---|
| Enabled | |
| Disabled |
BackendPool
后端池是可路由到的后端的集合。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源 ID。 |
| name |
string |
资源名称。 |
| properties.backends |
Backend[] |
此池的后端集 |
| properties.healthProbeSettings |
后端池的 L7 运行状况探测设置 |
|
| properties.loadBalancingSettings |
后端池的负载均衡设置 |
|
| properties.resourceState |
Front Door 或 Front Door 子资源的资源状态。 |
|
| type |
string |
资源类型。 |
BackendPoolsSettings
适用于所有后端池的设置。
| 名称 | 类型 | 默认值 | 说明 |
|---|---|---|---|
| enforceCertificateNameCheck | Enabled |
是否对所有后端池的 HTTPS 请求强制实施证书名称检查。 对非 HTTPS 请求没有影响。 |
|
| sendRecvTimeoutSeconds |
integer minimum: 16exclusiveMinimum: False |
向后端转发请求时发送和接收超时。 达到超时时,请求会失败并返回。 |
CacheConfiguration
缓存类型路由的缓存设置。 若要禁用缓存,请不要提供 cacheConfiguration 对象。
| 名称 | 类型 | 说明 |
|---|---|---|
| dynamicCompression |
是否对缓存内容使用动态压缩 |
|
| queryParameterStripDirective |
在形成缓存密钥时处理 URL 查询词。 |
CustomHttpsConfiguration
域的 Https 设置
| 名称 | 类型 | 说明 |
|---|---|---|
| certificateSource |
定义 SSL 证书的源 |
|
| frontDoorCertificateSourceParameters.certificateType |
定义用于安全连接到 frontendEndpoint 的证书的类型 |
|
| keyVaultCertificateSourceParameters.secretName |
string |
表示完整证书 PFX 的 Key Vault 机密的名称 |
| keyVaultCertificateSourceParameters.secretVersion |
string |
表示完整证书 PFX 的 Key Vault 机密的版本 |
| keyVaultCertificateSourceParameters.vault |
包含 SSL 证书的 Key Vault |
|
| minimumTlsVersion |
客户端建立与 Front Door 的 SSL 握手所需的最低 TLS 版本。 |
|
| protocolType |
定义用于安全传送的 TLS 扩展协议 |
CustomHttpsProvisioningState
FrontendEndpoint 的自定义 Https 预配状态。
| 值 | 说明 |
|---|---|
| Enabling | |
| Enabled | |
| Disabling | |
| Disabled | |
| Failed |
CustomHttpsProvisioningSubstate
预配子状态显示自定义 HTTPS 启用/禁用过程的进度。
| 值 | 说明 |
|---|---|
| SubmittingDomainControlValidationRequest | |
| PendingDomainControlValidationREquestApproval | |
| DomainControlValidationRequestApproved | |
| DomainControlValidationRequestRejected | |
| DomainControlValidationRequestTimedOut | |
| IssuingCertificate | |
| DeployingCertificate | |
| CertificateDeployed | |
| DeletingCertificate | |
| CertificateDeleted |
DynamicCompressionEnabled
是否对缓存内容使用动态压缩
| 值 | 说明 |
|---|---|
| Enabled | |
| Disabled |
enforceCertificateNameCheckEnabledState
是否对所有后端池的 HTTPS 请求强制实施证书名称检查。 对非 HTTPS 请求没有影响。
| 值 | 说明 |
|---|---|
| Enabled | |
| Disabled |
ErrorResponse
错误响应指示 Front Door 服务无法处理传入请求。 错误消息中提供了原因。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
错误代码。 |
| message |
string |
指示作失败的原因的错误消息。 |
ForwardingConfiguration
描述转发路由。
| 名称 | 类型 | 说明 |
|---|---|---|
| @odata.type |
string:
#Microsoft. |
|
| backendPool |
对此规则路由到的 BackendPool 的引用。 |
|
| cacheConfiguration |
与此规则关联的缓存配置。 |
|
| customForwardingPath |
string |
用于重写此规则匹配的资源路径的自定义路径。 留空以使用传入路径。 |
| forwardingProtocol |
将流量转发到后端时,此规则将使用协议。 |
FrontDoor
Front Door 表示后端终结点的集合,用于将流量路由到规则,这些规则指定流量的发送方式。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源 ID。 |
| location |
string |
资源位置。 |
| name |
string |
资源名称。 |
| properties.backendPools |
可用于路由规则的后端池。 |
|
| properties.backendPoolsSettings |
所有 backendPools 的设置 |
|
| properties.cname |
string |
每个 frontendEndpoint 必须具有 CNAME 的主机。 |
| properties.enabledState |
Front Door 负载均衡器的操作状态。 允许的值为“Enabled”或“Disabled” |
|
| properties.friendlyName |
string |
frontDoor 的友好名称 |
| properties.frontendEndpoints |
可用于路由规则的前端终结点。 |
|
| properties.healthProbeSettings |
与此 Front Door 实例关联的运行状况探测设置。 |
|
| properties.loadBalancingSettings |
与此 Front Door 实例关联的负载均衡设置。 |
|
| properties.provisioningState |
string |
Front Door 的预配状态。 |
| properties.resourceState |
Front Door 或 Front Door 子资源的资源状态。 |
|
| properties.routingRules |
与此 Front Door 关联的路由规则。 |
|
| tags |
object |
资源标记。 |
| type |
string |
资源类型。 |
FrontDoorCertificateSource
定义 SSL 证书的源
| 值 | 说明 |
|---|---|
| AzureKeyVault | |
| FrontDoor |
FrontDoorCertificateType
定义用于安全连接到 frontendEndpoint 的证书的类型
| 值 | 说明 |
|---|---|
| Dedicated |
FrontDoorEnabledState
Front Door 负载均衡器的操作状态。 允许的值为“Enabled”或“Disabled”
| 值 | 说明 |
|---|---|
| Enabled | |
| Disabled |
FrontDoorForwardingProtocol
将流量转发到后端时,此规则将使用协议。
| 值 | 说明 |
|---|---|
| HttpOnly | |
| HttpsOnly | |
| MatchRequest |
FrontDoorHealthProbeMethod
配置用于探测在 backendPools 下定义的后端的 HTTP 方法。
| 值 | 说明 |
|---|---|
| GET | |
| HEAD |
FrontDoorProtocol
要与此规则匹配的协议方案
| 值 | 说明 |
|---|---|
| Http | |
| Https |
FrontDoorQuery
在形成缓存密钥时处理 URL 查询词。
| 值 | 说明 |
|---|---|
| StripNone | |
| StripAll |
FrontDoorRedirectProtocol
将流量重定向到的目标的协议
| 值 | 说明 |
|---|---|
| HttpOnly | |
| HttpsOnly | |
| MatchRequest |
FrontDoorRedirectType
重定向流量时规则将使用的重定向类型。
| 值 | 说明 |
|---|---|
| Moved | |
| Found | |
| TemporaryRedirect | |
| PermanentRedirect |
FrontDoorResourceState
Front Door 或 Front Door 子资源的资源状态。
| 值 | 说明 |
|---|---|
| Creating | |
| Enabling | |
| Enabled | |
| Disabling | |
| Disabled | |
| Deleting |
FrontDoorTlsProtocolType
定义用于安全传送的 TLS 扩展协议
| 值 | 说明 |
|---|---|
| ServerNameIndication |
FrontendEndpoint
用于路由的前端终结点。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源 ID。 |
| name |
string |
资源名称。 |
| properties.customHttpsConfiguration |
指定如何启用 HTTPS 的配置 |
|
| properties.customHttpsProvisioningState |
FrontendEndpoint 的自定义 Https 预配状态。 |
|
| properties.customHttpsProvisioningSubstate |
预配子状态显示自定义 HTTPS 启用/禁用过程的进度。 |
|
| properties.hostName |
string |
frontendEndpoint 的主机名。 必须是域名。 |
| properties.resourceState |
Front Door 或 Front Door 子资源的资源状态。 |
|
| properties.sessionAffinityEnabledState |
是否允许在此主机上进行会话关联。 有效选项为“Enabled”或“Disabled” |
|
| properties.sessionAffinityTtlSeconds |
integer |
闲置。 此字段将被忽略。 要以秒为单位用于会话相关性的 TTL(如果适用)。 |
| properties.webApplicationFirewallPolicyLink |
为每个主机定义 Web 应用程序防火墙策略(如果适用) |
|
| type |
string |
资源类型。 |
HealthProbeEnabled
是否允许针对在 backendPools 下定义的后端进行运行状况探测。 只有在单个启用的后端池中存在单个启用的后端时,才能禁用运行状况探测。
| 值 | 说明 |
|---|---|
| Enabled | |
| Disabled |
HealthProbeSettingsModel
后端池的负载均衡设置
| 名称 | 类型 | 默认值 | 说明 |
|---|---|---|---|
| id |
string |
资源 ID。 |
|
| name |
string |
资源名称。 |
|
| properties.enabledState |
是否允许针对在 backendPools 下定义的后端进行运行状况探测。 只有在单个启用的后端池中存在单个启用的后端时,才能禁用运行状况探测。 |
||
| properties.healthProbeMethod | HEAD |
配置用于探测在 backendPools 下定义的后端的 HTTP 方法。 |
|
| properties.intervalInSeconds |
integer |
运行状况探测之间的秒数。 |
|
| properties.path |
string |
用于运行状况探测的路径。 默认值为 / |
|
| properties.protocol |
用于此探测的协议方案 |
||
| properties.resourceState |
Front Door 或 Front Door 子资源的资源状态。 |
||
| type |
string |
资源类型。 |
LoadBalancingSettingsModel
后端池的负载均衡设置
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源 ID。 |
| name |
string |
资源名称。 |
| properties.additionalLatencyMilliseconds |
integer |
探测下降到最低延迟存储桶的额外延迟(以毫秒为单位) |
| properties.resourceState |
Front Door 或 Front Door 子资源的资源状态。 |
|
| properties.sampleSize |
integer |
要考虑的负载均衡决策的示例数 |
| properties.successfulSamplesRequired |
integer |
样本周期内必须成功的示例数 |
| type |
string |
资源类型。 |
MinimumTLSVersion
客户端建立与 Front Door 的 SSL 握手所需的最低 TLS 版本。
| 值 | 说明 |
|---|---|
| 1.0 | |
| 1.2 |
RedirectConfiguration
描述重定向路由。
| 名称 | 类型 | 说明 |
|---|---|---|
| @odata.type |
string:
#Microsoft. |
|
| customFragment |
string |
要添加到重定向 URL 的片段。 片段是 #之后 URL 的一部分。 请勿包含 #。 |
| customHost |
string |
要重定向的主机。 将传入主机保留为空,以将传入主机用作目标主机。 |
| customPath |
string |
要重定向的完整路径。 路径不能为空,必须以 /开头。 将传入路径保留为空,以用作目标路径。 |
| customQueryString |
string |
要放置在重定向 URL 中的查询字符串集。 设置此值将替换任何现有查询字符串;保留空以保留传入的查询字符串。 查询字符串必须采用 <键>=<值> 格式。 第一个? 并且会自动添加 &,因此不要在前面包含它们,但使用 &分隔多个查询字符串。 |
| redirectProtocol |
将流量重定向到的目标的协议 |
|
| redirectType |
重定向流量时规则将使用的重定向类型。 |
RoutingRule
路由规则表示要处理的流量以及发送位置以及运行状况探测信息的规范。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源 ID。 |
| name |
string |
资源名称。 |
| properties.acceptedProtocols |
要与此规则匹配的协议方案 |
|
| properties.enabledState |
是否启用此规则的使用。 允许的值为“Enabled”或“Disabled” |
|
| properties.frontendEndpoints |
与此规则关联的前端终结点 |
|
| properties.patternsToMatch |
string[] |
规则的路由模式。 |
| properties.resourceState |
Front Door 或 Front Door 子资源的资源状态。 |
|
| properties.routeConfiguration | RouteConfiguration: |
对路由配置的引用。 |
| type |
string |
资源类型。 |
routingRuleEnabledState
是否启用此规则的使用。 允许的值为“Enabled”或“Disabled”
| 值 | 说明 |
|---|---|
| Enabled | |
| Disabled |
SessionAffinityEnabledState
是否允许在此主机上进行会话关联。 有效选项为“Enabled”或“Disabled”
| 值 | 说明 |
|---|---|
| Enabled | |
| Disabled |
SubResource
对另一个子资源的引用。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源 ID。 |
Vault
包含 SSL 证书的 Key Vault
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源 ID。 |
WebApplicationFirewallPolicyLink
为每个主机定义 Web 应用程序防火墙策略(如果适用)
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源 ID。 |